## Apache Zeta Components Manual :: Docs For Class ezcPersistentOneToOneRelation

### PersistentObject::ezcPersistentOneToOneRelation

### Class ezcPersistentOneToOneRelation

Relation class to reflect a one-to-one table relation (1:1).

Source for this file: /PersistentObject/src/relations/one_to_one.php

    ezcPersistentRelation
       |
       --ezcPersistentOneToOneRelation

Version: | //autogen//

### Properties

bool | read/write | `$cascade` Wether to cascade delete action from the source table to the destination table.

### Inherited Member Variables

From ezcPersistentRelation
protected | `ezcPersistentRelation::$properties`

### Method Summary

public static void | `__set_state( $state )` Sets the state after importing an exported object.
public ezcPersistentOneToOneRelation | `__construct( $sourceTable , $destinationTable )` Create a new relation.
protected void | `validateColumnMap( $columnMap )` Validates an ezcPersistentRelation::$columnMap property.

### Inherited Methods

From ezcPersistentRelation
public ezcPersistentRelation | `ezcPersistentRelation::__construct()` Create a new relation.
protected abstract void | `ezcPersistentRelation::validateColumnMap()` Validates an ezcPersistentRelation::$columnMap property.

### Methods

#### __set_state

static void __set_state( $state )

Sets the state after importing an exported object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$state` | array |

#### __construct

ezcPersistentOneToOneRelation __construct( string $sourceTable , string $destinationTable )

Create a new relation.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$sourceTable` | string | See property $sourceTable
`$destinationTable` | string | See property $destinationTable

##### Redefinition of:

Method | Description
--- | ---
`ezcPersistentRelation::__construct()` | Create a new relation.

#### validateColumnMap

void validateColumnMap( $columnMap )

Validates an ezcPersistentRelation::$columnMap property.

Checks is the given array represents a valid $columnMap property. Column maps for this kind of relation may only contain instances of ezcPersistentSingleTableMap and have to at least contain 1 instance.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$columnMap` | array | The column map to check.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | On an invalid column map.

##### Redefinition of:

Method | Description
--- | ---
`ezcPersistentRelation::validateColumnMap()` | Validates an ezcPersistentRelation::$columnMap property.

Documentation generated by phpDocumentor 1.4.3